Skip to main content
GET
/
v1
/
podcasts
/
advertising
/
leaderboard
cURL
curl -H "X-API-Key: $PARTICLE_API_KEY" \
  "https://api.particle.pro/v1/podcasts/advertising/leaderboard?limit=25&metric=ad_count"
{
  "data": [
    {
      "rank": 123,
      "sponsor": {
        "ad_count": 123,
        "episode_reach": 123,
        "id": "<string>",
        "name": "<string>",
        "podcast_reach": 123,
        "company": {
          "id": "<string>",
          "name": "<string>",
          "image_url": "<string>"
        },
        "first_seen_at": "2023-11-07T05:31:56Z",
        "last_seen_at": "2023-11-07T05:31:56Z"
      }
    }
  ],
  "has_more": true,
  "cursor": "<string>"
}

Authorizations

X-API-Key
string
header
required

Pass your API key in the X-API-Key header (recommended).

Query Parameters

limit
integer<int64>
default:25

Results per page

Required range: 1 <= x <= 100
cursor
string

Opaque pagination cursor from previous response

metric
enum<string>
default:ad_count

Metric to rank sponsors by

Available options:
ad_count,
podcast_reach,
episode_reach
since
string

Only include ads from episodes published on or after this ISO 8601 date or date-time (e.g. 2025-01-01 or 2025-01-01T00:00:00Z)

Example:

"2025-01-01T00:00:00Z"

until
string

Only include ads from episodes published before this ISO 8601 date or date-time (e.g. 2026-01-01 or 2026-01-01T00:00:00Z)

Example:

"2026-01-01T00:00:00Z"

company_id
string

Filter by company ID, domain, or entity slug

Response

OK

data
object[] | null
required

List of results

has_more
boolean
required

Whether more results exist

cursor
string

Pass to next request for more results